#!/usr/bin/perl

#THIS IS A PROGRAM TO PRINT THE CONTENTS OF A TABLE 
#IT ASSUMES HTML STORED IN A FILE (like one of the wnn files)

use strict;
use HTML::TableExtract;

sub print_tables {
    my ($table, $row, $cell);
    my $tc = 0;
    my $table_extractor = new HTML::TableExtract();
    $table_extractor->parse($_[0]);
    foreach $table ($table_extractor->table_states) {
	print "TABLE $tc:\n"; $tc++;
        my $rc = 0;
        foreach $row ($table->rows) {
	    print "ROW $rc:\n"; $rc++;
            foreach $cell ( @$row ) {
                $cell =~ s/\n/ /g;
		$cell =~ s/[ \t]+/ /g;
		$cell =~ s/^[ \t]//;
		$cell =~ s/[ \t]$//;
		$cell =~ s/ *<\/td *//g;
                print "$cell|";
            }
            print "\n";
        }
    }
}

sub main {
    	my ($content);
	while(<>)
	{
		$content .= $_;
	}
	print_tables ($content);
}

main ();

