#!/usr/common/bin/perl

# A SHORT ILLUSTRATIVE EXAMPLE

use lib qw(/home/hpk/lib/PerlNew);

# use LWP::Debug qw(+);
use CGI qw(:standard);
use CGI qw(escape unescape);
use CGI::Cookie;
use HTML::Parser;
use HTML::TableExtract;
use HTTP::Cookies;
use HTTP::Request::Common qw(POST);
use LWP::UserAgent;

$ua = new LWP::UserAgent();
$timeout = 60*60*12;
$ua->timeout($timeout);
$jar = HTTP::Cookies->new();
$ua->cookie_jar($jar);
$ua->agent("Microsoft Internet Explorer/5.5");
# $ua->proxy(http  => 'http://smaug.research.att.com:5364');

$ua->requests_redirectable (['GET', 'POST']);

$request = POST "http://aaa.bbb.com/cgi-bin/validate.cgi" , [
	'Login' => $login,
	'Password' => "$password",
	'New_Password' => "",
	'Verify_Password' => "",
] ;

$request->authorization_basic('hpk', 'password');

$webdoc = $ua->request($request);
if(!$webdoc->is_success() ) {
	$message = $webdoc->status_line;
	$content = $webdoc->content();
	if ($message =~ /302/ && $content =~ /Login.asp/)
	{
		sleep 60;
		print STDERR "Login requested\n";
		init();
		goto retry1;
	}
	if ($message =~ /500/)
	{
		print STDERR "Site not responding\n";
		sleep 60;
		goto retry1;
	}
	print STDERR "error #1 at URL: $url\n";
	print STDERR "M: $message\n";
	print STDERR "C: $content\n";
	die;
}
# SetCookie ('XXXUSER', unescape('12345'),null,'/',cookie_domain,false);
foreach (split '\n', $webdoc->content())
{
	if (/SetCookie \('([^']*)', ([^,]*),/)
	{
		$val = eval $2;
		newcookie($1, $val);
	}
}

newcookie('NISHeadLoc', 'abcdef');

sub newcookie {
	$jar->set_cookie(1,$_[0],$_[1],'/','.att.com',undef,0,0,600,0);
}


print_tables($webdoc->content());

sub print_tables {
    my ($table, $row, $cell);
    my $table_extractor = new HTML::TableExtract();
    $table_extractor->parse($_[0]);
    foreach $table ($table_extractor->table_states) {
        foreach $row ($table->rows) {
            foreach $cell ( @$row ) {
                chomp $cell;
                print "$cell|";
            }
            print "\n";
        }
    }
}

